---
title: members
description: Everything you need to know as a member of the project
published: true
date: 2021-08-12T07:54:46.398Z
tags: 
editor: markdown
dateCreated: 2021-06-23T09:06:00.169Z
---

# Welcome to the Phyllome OS project !

## Introduction

This page intends to support onboarding of new contributors to the Phyllome OS Project.

## Getting started

When you join the project, you will eventually get an account on https://my.refre.ch, which will allow you to access applications used by the Phyllome OS project.

To receive an invitation, you need to possess a working email address, typically your personal email address. Then, you should receive an email inviting you to register.

> If you haven't received your invitation, please check your spam folder. If there is nothing there, please send an email to `contact@phyllo.me` mentioning your username.
{.is-warning}

> **Password**. Please use a long passphrase and store it securely using a password manager such as [Bitwarden](https://bitwarden.com/) or [KeePaasXC](https://keepassxc.org/), or on an air-gapped hardware token made of cellulose fibres (also known as a sheet of paper). 
{.is-info}

> **Second Factor Authentication (2FA)**. 2FA is mandatory across all apps. Please use an application such as the [Aegis Authenticator](https://f-droid.org/en/packages/com.beemdevelopment.aegis/) on Android to generate One Time Passwords (OTP).  
{.is-info}

## Legal notice

Please note that all contributions made to the project, through the official tools stated below, will be open-sourced.
 
> As a contributor, you waive your rights to profit from Phyllome OS. You will be added to the list of contributors.
{.is-warning}

## Tools we use

### Introduction

You will receive an email address such as `{YOUR_USERNAME}@phyllo.me`

`{YOUR_USERNAME}` can be used to access all services and tools listed below.  

> For easy access to those tools, don't hesitate to add a  bookmark to each of them!
{.is-info}

### Platform-as-a-Service (PaaS)

* **Description** : Cloudron.io is used to deploy web applications consumed by the Phyllome OS project 
* **Status** : `online`
* **Location** : https://my.refre.ch
* **Wiki** : [PaaS](/members/paas)

### Mail

* **Description** : Cloudron.io is used to manage emailing, together with [rainloop](https://www.rainloop.net/), a webmail system
* **Status** : `online`
* **Location** : https://mail.phyllo.me/
* **Wiki pages** : [mail](/members/mail)

### Git repository

* **Description** : [Gitea](https://gitea.io/en-us/) is used to host git repositories 
* **Status** : `online`
* **Location** : https://git.phyllo.me
* **Wiki pages** : [Git](/members/git)

### Collaborative writing

* **Description** : [HedgeDoc](https://hedgedoc.org/) is used for collaborative writing 
* **Status** : `online`
* **Location** : https://docs.phyllo.me
* **Wiki page** : [Docs](/members/docs)

### Wiki

* **Description** : [Wiki.js](https://js.wiki/) is used to power the wiki  
* **Status** : `online`
* **Location** : https://wiki.phyllo.me
* **Wiki page** : [Wiki](/members/wiki)

### Issue tracking

* **Description** : [Wekan](https://wekan.github.io/) is used to track issues
* **Location** : https://kanban.phyllo.me/
* **Wiki page** : [Kanban](/members/kanban)

### Website hosting

* **Description** : [Grav](https://getgrav.org/) is used as a Content Management System (CMS) 
* **Status** : `online`
* **Location** : https://phyllo.me
* **Wiki page** : [CMS](/members/cms)

### Files hosting

* **Description** : [Nextcloud](https://nextcloud.com/) is used to host files 
* **Status** : `online`
* **Location** : https://files.phyllo.me/
* **Wiki page** : [Files](/members/files)

### S3 object storage

* **Description** : [Minio](https://min.io/) will be used as a blob storage 
* **Status** : `offline`
* **Location** : https://s3.phyllo.me
* **Wiki page** : [S3](/members/s3)

## Ressources

* [Link](https://kanboard.phyllo.me/b/DGyfQKKJPanuNfsnv/project/4envpCeyT9TnyKiPC) to the kanboard card tracking the deployment of web tools